﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Canadian multilingual keyboard.
keyboardName = 'ca-intl'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('\\', 'std', -2), 
            Letter('/', 'std', -2),
            Letter('-', 'var2', 3), 
            None,
            middleDownLetter = Letter('|', 'winstd')),

        Key(Letter('!'),
            Letter('1'), 
            Letter('¡', 'var2'), 
            Letter('¹', 'var2')),
        
        Key(Letter('@'), 
            Letter('2'),
            None, 
            Letter('²', 'var2')),
            
        Key(Letter('#'), 
            Letter('3'),
            Letter('£', 'var2'), 
            Letter('³', 'var2')),
            
        Key(Letter('$', 'std', -3), 
            Letter('4', 'std', -3),
            Letter('€', 'var2', 3), 
            Letter('¼', 'var2', 5),
            middleDownLetter = Letter('¤', 'winstd')),
            
        Key(Letter('%'), 
            Letter('5'), 
            Letter('⅜', 'var2'), 
            Letter('½', 'var2')), 

        Key(Letter('?'),
            Letter('6'),
            Letter('⅝', 'var2'), 
            Letter('¾', 'var2')),

        Key(Letter('&', 'std', -3),
            Letter('7', 'std', -3), 
            Letter('⅞', 'var2', 4), 
            None,
            middleDownLetter = Letter('{', 'winstd')),

        Key(Letter('*', 'std', -3),
            Letter('8', 'std', -3), 
            Letter('™', 'var2', 3), 
            None,
            middleDownLetter = Letter('}', 'winstd')),

        Key(Letter('(', 'std', -3),
            Letter('9', 'std', -3), 
            Letter('±', 'var2', 3), 
            None,
            middleDownLetter = Letter('[', 'winstd')),

        Key(Letter(')', 'std', -3),
            Letter('0', 'std', -3), 
            None, 
            None,
            middleDownLetter = Letter(']', 'winstd')),

        Key(Letter('_'),
            Letter("-"), 
            Letter('¿', 'var2'), 
            None),

        Key(Letter('+', 'std', -3),
            Letter('=', 'std', -3), 
            Letter('\u0328', 'dead', 4, isDiacritic = True, diacriticCorr = 4), 
            # This symbol looks better in the font used for quotation marks.
            Letter('\u0327', 'dead', isDiacritic = True, isQuote = True,
                diacriticCorr = 4),
            middleDownLetter = Letter('¬', 'winstd')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'),
            None, 
            Letter('Ω', 'var2'), 
            None),

        Key(Letter('W'),
            None, 
            None, 
            Letter('Ł', 'var2')),
        
        Key(Letter('E', 'std', -4),
            None, 
            None, 
            Letter('Œ', 'var2', 4),
            middleDownLetter = Letter('€', 'winstd', -2)),

        Key(Letter('R'), 
            None, 
            Letter('®', 'var2'), 
            Letter('¶', 'var2')),

        Key(Letter('T'),
            None, 
            None, 
            Letter('Ŧ', 'var2')),

        Key(Letter('Y'), 
            None, 
            Letter('¥', 'var2'), 
            Letter('←', 'var2')),

        Key(Letter('U'),
            None, 
            Letter('↑', 'var2'), 
            Letter('↓', 'var2')),

        Key(Letter('I'),
            None, 
            Letter('ı', 'var2'), 
            Letter('→', 'var2')),

        Key(Letter('O'), 
            None, 
            None, 
            Letter('Ø', 'var2')),

        Key(Letter('P'), 
            None, 
            None, 
            Letter('Þ', 'var2')),

        Key(Letter('\u0308', 'dead', isDiacritic = True, diacriticCorr = -4),
            Letter('\u0302', 'dead', isDiacritic = True, diacriticCorr = -4),
            Letter('\u030a', 'dead', isDiacritic = True, diacriticCorr = 4), 
            None,
            middleDownLetter = Letter('\u0300', 'dead', 6, 
                isDiacritic = True)),

        Key(Letter('Ç', 'std', -3), 
            None,
            Letter('\u0304', 'dead', isDiacritic = True, diacriticCorr = 4),
            Letter('~', 'var2', 4), 
            middleDownLetter = Letter('\u0303', 'dead', 6, 3, 
                isDiacritic = True)),

        Key(Letter('À'),
            None,
            Letter('\u0306', 'dead', isDiacritic = True), 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'),
            None, 
            None, 
            Letter('Æ', 'var2')),

        Key(Letter('S'), 
            None, 
            Letter('§', 'var2'), 
            Letter('ß', 'var2')),
        
        Key(Letter('D'),
            None, 
            None, 
            Letter('ð', 'var2')),

        Key(Letter('F'),
            None, 
            Letter('ª', 'var2'), 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            Letter('Ŋ', 'var2')),

        Key(Letter('H'), 
            None, 
            None, 
            Letter('Ħ', 'var2')),

        Key(Letter('J'),
            None, 
            None, 
            Letter('Ĳ', 'var2')),

        Key(Letter('K'),
            None, 
            None, 
            Letter('ĸ', 'var2')),

        Key(Letter('L'),
            None, 
            None, 
            Letter('Ŀ', 'var2')),

        Key(Letter(':', 'std', -4, isQuote = True),
            Letter(';', 'std', -4, isQuote = True),
            Letter('\u030b', 'dead', 1, isDiacritic = True, diacriticCorr = 4),
            Letter('\u0301', 'dead', 6, isDiacritic = True, diacriticCorr = 4),
            middleDownLetter = Letter('°', 'winstd')),
            
        Key(Letter('È'),
            None,
            Letter('\u030c', 'dead', isDiacritic = True), 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('Ù'), 
            None, 
            Letter('¦', 'var2'), 
            None),

        Key(Letter('Z', 'std', -3),
            None, 
            None, 
            None,
            middleDownLetter = Letter('«', 'winstd')),

        Key(Letter('X'), 
            None,
            None, 
            None,
            middleDownLetter = Letter('»', 'winstd')),

        Key(Letter('C'), 
            None, 
            Letter('©', 'var2'), 
            Letter('¢', 'var2')),

        Key(Letter('V'),
            None, 
            Letter('‘', 'var2', isQuote = True), 
            Letter('“', 'var2', isQuote = True)),

        Key(Letter('B'), 
            None, 
            Letter('’', 'var2', isQuote = True), 
            Letter('”', 'var2', isQuote = True)),

        Key(Letter('N'),
            None, 
            Letter('♪', 'var2'), 
            Letter('ŉ', 'var2')),

        Key(Letter('M'),
            None, 
            Letter('º', 'var2'), 
            Letter('µ', 'var2')),

        Key(Letter('\'', 'std', -4),
            Letter(',', 'std', -4, isQuote = True), 
            Letter('×', 'var2', 4), 
            Letter('―', 'var2', 4),
            middleDownLetter = Letter('<', 'winstd', -2)),

        Key(Letter('"', 'std', -4), 
            Letter('.', 'std', -4, isQuote = True), 
            Letter('÷', 'var2', 4), 
            Letter('\u0307', 'dead', isDiacritic = True, diacriticCorr = 4),
            middleDownLetter = Letter('>', 'winstd', -2)),
            
        Key(Letter('É'),
            None, 
            Letter('\u0307', 'dead', isDiacritic = True), 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75,
            middleDownLetter = Letter('non-breaking space', 'winstd')),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl Gr')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
