﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# German standard keyboard.
keyboardName = 'de'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('°'), 
            Letter('\u0302', 'dead', isDiacritic = True), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            None, 
            None),
        
        Key(Letter('"'), 
            Letter('2'), 
            None,
            Letter('²', 'winstd')),
            
        Key(Letter('§'), 
            Letter('3'), 
            None,
            Letter('³', 'winstd')),
            
        Key(Letter('$'), 
            Letter('4'), 
            None, 
            None),
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            None),

        Key(Letter('&'), 
            Letter('6'), 
            None, 
            None),

        Key(Letter('/'), 
            Letter('7'), 
            None, 
            Letter('{', 'winstd')),

        Key(Letter('('), 
            Letter('8'), 
            None, 
            Letter('[', 'winstd')),

        Key(Letter(')'), 
            Letter('9'), 
            None, 
            Letter(']', 'winstd')),

        Key(Letter('='), 
            Letter('0'), 
            None, 
            Letter('}', 'winstd')),

        Key(Letter('?'), 
            Letter('ß'), 
            None, 
            Letter('\\', 'winstd')),

        Key(Letter('\u0300', 'dead', 6, isDiacritic = True), 
            Letter('\u0301', 'dead', 6, isDiacritic = True),
            None, 
            None),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            Letter('@', 'winstd')),

        Key(Letter('W'), 
            None, 
            None, 
            None),
        
        Key(Letter('E'), 
            None, 
            None, 
            Letter('€', 'winstd')),

        Key(Letter('R'), 
            None, 
            None, 
            None),

        Key(Letter('T'), 
            None, 
            None, 
            None),

        Key(Letter('Z'), 
            None, 
            None, 
            None),

        Key(Letter('U'), 
            None, 
            None, 
            None),

        Key(Letter('I'), 
            None, 
            None, 
            None),

        Key(Letter('O'), 
            None, 
            None, 
            None),

        Key(Letter('P'), 
            None, 
            None, 
            None),

        Key(Letter('Ü'), 
            None,
            None, 
            None),

        Key(Letter('*'), 
            Letter('+'),
            None, 
            Letter('~', 'winstd')),

        Key(Letter("'"), 
            Letter('#'),
            None, 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            None),

        Key(Letter('S'), 
            None, 
            None, 
            None),
        
        Key(Letter('D'), 
            None, 
            None, 
            None),

        Key(Letter('F'), 
            None, 
            None, 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            None),

        Key(Letter('H'), 
            None, 
            None, 
            None),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            None),

        Key(Letter('L'), 
            None, 
            None, 
            None),

        Key(Letter('Ö'),
            None,
            None, 
            None),

        Key(Letter('Ä'), 
            None,
            None, 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('>'), 
            Letter('<'), 
            None, 
            Letter('|', 'winstd')), 

        Key(Letter('Y'), 
            None,
            None, 
            None),

        Key(Letter('X'), 
            None, 
            None, 
            None),

        Key(Letter('C'), 
            None, 
            None, 
            None),

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            None, 
            None),

        Key(Letter('N'), 
            None, 
            None, 
            None),

        Key(Letter('M'), 
            None, 
            None, 
            Letter('µ', 'winstd')), 

        Key(Letter(';', isQuote = True), 
            Letter(',', isQuote = True), 
            None, 
            None),

        Key(Letter(':', isQuote = True), 
            Letter('.', isQuote = True), 
            None, 
            None),

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
