﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Greek standard keyboard.
keyboardName = 'el'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [

    # ---- Number row ---------------------------------------------------------
    [
        Key(Letter('~'),
            Letter('`'),
            None,
            None),

        Key(Letter('!'),
            Letter('1'),
            None,
            None),

        Key(Letter('@'),
            Letter('2'),
            None,
            Letter('²', 'winstd')),

        Key(Letter('#'),
            Letter('3'),
            None,
            Letter('³', 'winstd')),

        Key(Letter('$'),
            Letter('4'),
            None,
            Letter('£', 'winstd')),

        Key(Letter('%'),
            Letter('5'),
            None,
            Letter('§', 'winstd')),

        Key(Letter('^'),
            Letter('6'),
            None,
            Letter('¶', 'winstd')),

        Key(Letter('&'),
            Letter('7'),
            None,
            None),

        Key(Letter('*'),
            Letter('8'),
            None,
            Letter('¤', 'winstd')),

        Key(Letter('('),
            Letter('9'),
            None,
            Letter('¦', 'winstd')),

        Key(Letter(')'),
            Letter('0'),
            None,
            Letter('°', 'winstd')),

        Key(Letter('_'),
            Letter("-"),
            None,
            Letter('±', 'winstd')),

        Key(Letter('+'),
            Letter('='),
            None,
            Letter('½', 'winstd')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],

    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            None,
            None),

        Key(Letter('\u0385', 'dead', isDiacritic = True, 
                diacriticLetter = 'α'),
            Letter('ς'),
            None,
            None),

        Key(Letter('Ε'),
            None,
            None,
            Letter('€', 'winstd')),

        Key(Letter('Ρ'),
            None,
            None,
            Letter('®', 'winstd')),

        Key(Letter('Τ'),
            None,
            None,
            None),

        Key(Letter('Υ'),
            None,
            None,
            Letter('¥', 'winstd')),

        Key(Letter('Θ'),
            None,
            None,
            None),

        Key(Letter('Ι'),
            None,
            None,
            None),

        Key(Letter('Ο'),
            None,
            None,
            None),

        Key(Letter('Π'),
            None,
            None,
            None),

        Key(Letter('{'),
            Letter('['),
            None,
            Letter('«', 'winstd')),

        Key(Letter('}'),
            Letter(']'),
            None,
            Letter('»', 'winstd')),

        Key(Letter('|'),
            Letter('\\'),
            None,
            Letter('¬', 'winstd'),
            width = 1.5)
    ],

    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),

        Key(Letter('Α'),
            None,
            None,
            None),

        Key(Letter('Σ'),
            None,
            None,
            None),

        Key(Letter('Δ'),
            None,
            None,
            None),

        Key(Letter('Φ'),
            None,
            None,
            None),

        Key(Letter('Γ'),
            None,
            None,
            None),

        Key(Letter('Η'),
            None,
            None,
            None),

        Key(Letter('Ξ'),
            None,
            None,
            None),

        Key(Letter('Κ'),
            None,
            None,
            None),

        Key(Letter('Λ'),
            None,
            None,
            None),

        Key(Letter('\u0308', 'dead', isDiacritic = True, 
                diacriticLetter = 'α'),
            Letter('\u0384', 'dead', isDiacritic = True, 
                diacriticLetter = 'α'),
            None,
            Letter('\u0385', 'dead', isDiacritic = True, 
                diacriticLetter = 'α')),

        Key(Letter('"'),
            Letter("'"),
            None,
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ],

    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),

        Key(Letter('>'),
            Letter('<'),
            None,
            None),

        Key(Letter('Ζ'),
            None,
            None,
            None),

        Key(Letter('Χ'),
            None,
            None,
            None),

        Key(Letter('Ψ'),
            None,
            None,
            Letter('©', 'winstd')),

        Key(Letter('Ω'),
            None,
            None,
            None),

        Key(Letter('Β'),
            None,
            None,
            None),

        Key(Letter('Ν'),
            None,
            None,
            None),

        Key(Letter('Μ'),
            None,
            None,
            None),

        Key(Letter('<'),
            Letter(',', isQuote = True),
            None,
            None),

        Key(Letter('>'),
            Letter('.', isQuote = True),
            None,
            None),

        Key(Letter('?'),
            Letter('/'),
            None,
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],

    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]

createKeyboardFiles(keyboard, keyboardName)
