﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Colemak multilingual keyboard.
keyboardName = 'en-colemak'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('~', 'std', -3),
            Letter('`', 'std', -3), 
            None,
            Letter('\u0303', 'dead', 6, 3, isDiacritic = True,
                diacriticCorr = 5),
            middleUpLetter = Letter('≈', 'var2')),

        Key(Letter('!'),
            Letter('1'), 
            Letter('¹', 'winstd'),
            Letter('¡', 'winstd')),
        
        Key(Letter('@'), 
            Letter('2'), 
            Letter('²', 'winstd'),
            Letter('º', 'winstd')),
            
        Key(Letter('#'), 
            Letter('3'), 
            Letter('³', 'winstd'),
            Letter('ª', 'winstd')),
            
        Key(Letter('$'), 
            Letter('4'), 
            Letter('£', 'winstd'),
            Letter('¢', 'winstd')),
            
        Key(Letter('%', 'std', -4), 
            Letter('5', 'std', -4), 
            Letter('¥', 'winstd', 7),
            Letter('€', 'winstd', 6),
            middleUpLetter = Letter('‰', 'var2', 3)),

        Key(Letter('^'), 
            Letter('6'), 
            None,
            Letter('Ħ', 'winstd')),

        Key(Letter('&'), 
            Letter('7'), 
            None,
            Letter('ð', 'winstd')),

        Key(Letter('*'), 
            Letter('8'), 
            None,
            Letter('Þ', 'winstd')),

        Key(Letter('('), 
            Letter('9'), 
            Letter('“', 'winstd', isQuote = True), 
            Letter('‘', 'winstd', isQuote = True)),

        Key(Letter(')'), 
            Letter('0'), 
            Letter('”', 'winstd', isQuote = True), 
            Letter('’', 'winstd', isQuote = True)),

        Key(Letter('_'), 
            Letter('-'), 
            Letter('—', 'winstd'), 
            Letter('–', 'winstd')),

        Key(Letter('+', 'std', -3), 
            Letter('=', 'std', -3), 
            Letter('÷', 'winstd', 4), 
            Letter('×', 'winstd', 4),
            middleUpLetter = Letter('±', 'var2'),
            middleDownLetter = Letter('≠', 'var2')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            Letter('Ä', 'winstd')),

        Key(Letter('W'), 
            None, 
            None, 
            Letter('Å', 'winstd')),
        
        Key(Letter('F'), 
            None, 
            None, 
            Letter('Ã', 'winstd')),

        Key(Letter('P'), 
            Letter('¶', 'var2'),
            None, 
            Letter('Ø', 'winstd')),

        Key(Letter('G'), 
            None, 
            None,
            Letter('\u0328', 'dead', 4, isDiacritic = True)),

        Key(Letter('J'), 
            None, 
            None, 
            Letter('đ', 'winstd')),

        Key(Letter('L'), 
            None, 
            None, 
            Letter('Ł', 'winstd')),

        Key(Letter('U'), 
            None, 
            None, 
            Letter('Ú', 'winstd')),

        Key(Letter('Y'), 
            None, 
            None, 
            Letter('Ü', 'winstd')),

        Key(Letter(':', isQuote = True), 
            Letter(';', isQuote = True), 
            None, 
            Letter('Ö', 'winstd')),

        Key(Letter('{'), 
            Letter('['),
            Letter('‹', 'winstd'),
            Letter('«', 'winstd')),

        Key(Letter('}'), 
            Letter(']'),
            Letter('›', 'winstd'),
            Letter('»', 'winstd')),

        Key(Letter('|', 'std', -3), 
            Letter('\\', 'std', -3),
            None,
            Letter('\u25A0', 'var2'),
            middleUpLetter = Letter('¦', 'var2', -17),
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Backspace'),
        
        Key(Letter('A'), 
            None, 
            None, 
            Letter('Á', 'winstd')),

        Key(Letter('R'), 
            Letter('®', 'var2'),
            None,
            Letter('\u0300', 'dead', 6, isDiacritic = True)),
        
        Key(Letter('S'), 
            Letter('§', 'var2'),
            None,
            Letter('ß', 'winstd')),

        Key(Letter('T'), 
            Letter('™', 'var2'),
            Letter('\u030b', 'dead', 1, isDiacritic = True), 
            Letter('\u0301', 'dead', 6, isDiacritic = True)),

        Key(Letter('D'), 
            Letter('°', 'var2'),
            None,
            Letter('\u0308', 'dead', isDiacritic = True)),

        Key(Letter('H'), 
            None, 
            None,
            Letter('\u030c', 'dead', isDiacritic = True)),

        Key(Letter('N'), 
            Letter('№', 'var2', 2),
            None, 
            Letter('Ñ', 'winstd')),

        Key(Letter('E'), 
            None, 
            None, 
            Letter('É', 'winstd')),

        Key(Letter('I'), 
            None, 
            None, 
            Letter('Í', 'winstd')),

        Key(Letter('O'),
            None, 
            None, 
            Letter('Ó', 'winstd')),

        Key(Letter('"'), 
            Letter("'"),
            None, 
            Letter('Õ', 'winstd')),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('_'), 
            Letter('-'), 
            Letter('—', 'winstd'), 
            Letter('–', 'winstd')),

        Key(Letter('Z'), 
            None, 
            None, 
            Letter('Æ', 'winstd')),

        Key(Letter('X'), 
            None, 
            None,
            Letter('\u0302', 'dead', isDiacritic = True)),

        Key(Letter('C'), 
            Letter('©', 'var2'),
            None, 
            Letter('Ç', 'winstd')),

        Key(Letter('V'), 
            None, 
            None, 
            Letter('Œ', 'winstd')),

        Key(Letter('B'), 
            None, 
            None,
            Letter('\u0306', 'dead', isDiacritic = True)),

        Key(Letter('K'), 
            None, 
            None,
            Letter('\u030a', 'dead', isDiacritic = True)),

        Key(Letter('M'), 
            Letter('µ', 'var2'),
            None,
            Letter('\u0304', 'dead', isDiacritic = True)),

        Key(Letter('<', 'std', -4), 
            Letter(',', 'std', -4, isQuote = True), 
            None,
            # This symbol looks better in the font used for quotation marks.
            Letter('\u0327', 'dead', isDiacritic = True, isQuote = True,
                diacriticCorr = 5),
            middleUpLetter = Letter('≤', 'var2')),

        Key(Letter('>', 'std', -4), 
            Letter('.', 'std', -5, isQuote = True), 
            None,
            Letter('\u0307', 'dead', isDiacritic = True,
                diacriticCorr = 6),
            middleUpLetter = Letter('≥', 'var2'),
            middleDownLetter = Letter('…', 'var2', isQuote = True)),

        Key(Letter('?'), 
            Letter('/'), 
            None,
            Letter('¿', 'winstd')),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75,
            middleUpLetter = Letter('↑ non-breaking space ↑', 'winstd')),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
