﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Greek letters for “English (International)” keyboard layout.
keyboardName = 'en-intl-greek'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('~'), 
            Letter('`'), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            None, 
            None),
        
        Key(Letter('@'), 
            Letter('2'), 
            None, 
            None),
            
        Key(Letter('#'), 
            Letter('3'), 
            None, 
            None),
            
        Key(Letter('$'), 
            Letter('4'), 
            None, 
            None),
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            None), 

        Key(Letter('^'), 
            Letter('6'), 
            None, 
            None),

        Key(Letter('&'), 
            Letter('7'), 
            None, 
            None),

        Key(Letter('*'), 
            Letter('8'), 
            None, 
            None),

        Key(Letter('('), 
            Letter('9'), 
            None, 
            None),

        Key(Letter(')'), 
            Letter('0'), 
            None, 
            None),

        Key(Letter('_'), 
            Letter("-"), 
            None, 
            None),

        Key(Letter('+'), 
            Letter('='), 
            None, 
            None),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            Letter('Θ', 'unicode'), 
            Letter('θ', 'unicode')),

        Key(Letter('W'), 
            None, 
            Letter('Ω', 'unicode'), 
            Letter('ω', 'unicode')),
        
        Key(Letter('E'), 
            None, 
            Letter('Ε', 'unicode'), 
            Letter('ε', 'unicode')), 

        Key(Letter('R'), 
            None, 
            Letter('Ρ', 'unicode'), 
            Letter('ρ', 'unicode')),

        Key(Letter('T'), 
            None, 
            Letter('Τ', 'unicode'), 
            Letter('τ', 'unicode')),

        Key(Letter('Y'), 
            None, 
            Letter('Ψ', 'unicode'), 
            Letter('ψ', 'unicode')),

        Key(Letter('U'), 
            None, 
            Letter('Υ', 'unicode'), 
            Letter('υ', 'unicode')),

        Key(Letter('I'), 
            None, 
            Letter('Ι', 'unicode'), 
            Letter('ι', 'unicode')),

        Key(Letter('O'), 
            None, 
            Letter('Ο', 'unicode'), 
            Letter('ο', 'unicode')),

        Key(Letter('P'), 
            None, 
            Letter('Π', 'unicode'), 
            Letter('π', 'unicode')),

        Key(Letter('{'), 
            Letter('['),
            None, 
            None),

        Key(Letter('}'), 
            Letter(']'),
            None, 
            None),

        Key(Letter('|'), 
            Letter('\\'),
            None, 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            Letter('Α', 'unicode'), 
            Letter('α', 'unicode')),

        Key(Letter('S'), 
            None, 
            Letter('Σ', 'unicode'), 
            Letter('σ', 'unicode')),
        
        Key(Letter('D'), 
            None, 
            Letter('Δ', 'unicode'), 
            Letter('δ', 'unicode')),

        Key(Letter('F'), 
            None, 
            Letter('Φ', 'unicode'), 
            Letter('φ', 'unicode')),

        Key(Letter('G'), 
            None, 
            Letter('Γ', 'unicode'), 
            Letter('γ', 'unicode')),

        Key(Letter('H'), 
            None, 
            Letter('Η', 'unicode'), 
            Letter('η', 'unicode')),

        Key(Letter('J'), 
            None, 
            Letter('Ξ', 'unicode'), 
            Letter('ξ', 'unicode')),

        Key(Letter('K'), 
            None, 
            Letter('Κ', 'unicode'), 
            Letter('κ', 'unicode')),

        Key(Letter('L'), 
            None, 
            Letter('Λ', 'unicode'), 
            Letter('λ', 'unicode')),

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            None, 
            None),

        Key(Letter('"'), 
            Letter("'"),
            None, 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Z'), 
            None, 
            Letter('Ζ', 'unicode'), 
            Letter('ζ', 'unicode')),

        Key(Letter('X'), 
            None, 
            Letter('Χ', 'unicode'), 
            Letter('χ', 'unicode')),

        Key(Letter('C'), 
            None, 
            None, 
            Letter('ς', 'unicode')),

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            Letter('Β', 'unicode'), 
            Letter('β', 'unicode')),

        Key(Letter('N'), 
            None, 
            Letter('Ν', 'unicode'), 
            Letter('ν', 'unicode')),

        Key(Letter('M'), 
            None, 
            Letter('Μ', 'unicode'), 
            Letter('μ', 'unicode')),

        Key(Letter('<'), 
            Letter(',', isQuote = True), 
            None, 
            None),

        Key(Letter('>'), 
            Letter('.', isQuote = True), 
            None, 
            None),

        Key(Letter('?'), 
            Letter('/'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
