﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# AltGr+x symbols for “English (International)” keyboard layout.
keyboardName = 'en-intl-x'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('~'), 
            Letter('`'), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            Letter('₁', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('¹', 'winstd', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),
        
        Key(Letter('@'), 
            Letter('2'), 
            Letter('₂', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('²', 'winstd', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),
            
        Key(Letter('#'), 
            Letter('3'), 
            Letter('₃', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('³', 'winstd', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),
            
        Key(Letter('$'), 
            Letter('4'), 
            Letter('₄', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁴', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),
            
        Key(Letter('%'), 
            Letter('5'), 
            Letter('₅', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁵', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('^'), 
            Letter('6'), 
            Letter('₆', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁶', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('&'), 
            Letter('7'), 
            Letter('₇', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁷', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('*'), 
            Letter('8'), 
            Letter('₈', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁸', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('('), 
            Letter('9'), 
            Letter('₉', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁹', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter(')'), 
            Letter('0'), 
            Letter('₀', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁰', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('_'), 
            Letter("-"), 
            Letter('₋', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁻', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(Letter('+'), 
            Letter('='), 
            Letter('₊', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21), 
            Letter('⁺', 'unicode', 
                fontName = 'Lucida Sans Unicode', fontSize = 21)),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            None),

        Key(Letter('W'), 
            None, 
            None, 
            None),
        
        Key(Letter('E'), 
            None, 
            None, 
            None), 

        Key(Letter('R'), 
            None, 
            None, 
            Letter('→', 'unicode')),

        Key(Letter('T'), 
            None, 
            None, 
            None),

        Key(Letter('Y'), 
            None, 
            None, 
            None),

        Key(Letter('U'), 
            None, 
            None, 
            Letter('↑', 'unicode')),

        Key(Letter('I'), 
            None, 
            None, 
            Letter('∞', 'unicode')),

        Key(Letter('O'), 
            None, 
            None, 
            Letter('º', 'winstd')),

        Key(Letter('P'), 
            None, 
            None, 
            None),

        Key(Letter('{'), 
            Letter('['),
            None, 
            None),

        Key(Letter('}'), 
            Letter(']'),
            None, 
            None),

        Key(Letter('|'), 
            Letter('\\'),
            None, 
            Letter('¦', 'winstd'), 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            Letter('ª', 'winstd')),

        Key(Letter('S'), 
            None, 
            None, 
            None),
        
        Key(Letter('D'), 
            None, 
            None, 
            Letter('↓', 'unicode')),

        Key(Letter('F'), 
            None, 
            None, 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            None),

        Key(Letter('H'), 
            None, 
            None, 
            #Letter('SHY', 'winstd', fontName = 'Tahoma', fontSize = 12)),
            Letter('-', 'winstd')),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            None),

        Key(Letter('L'), 
            None, 
            None, 
            Letter('←', 'unicode')),

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            None, 
            None),

        Key(Letter('"'), 
            Letter("'"),
            None, 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Z'), 
            None, 
            None, 
            None),

        Key(Letter('X'), 
            None, 
            Letter('‡', 'winstd'),
            Letter('†', 'winstd')),

        Key(Letter('C'), 
            None, 
            None, 
            None),

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            None, 
            Letter('•', 'winstd')),

        Key(Letter('N'), 
            None, 
            None, 
            Letter('№', 'unicode')),

        Key(Letter('M'), 
            None, 
            Letter('Ω', 'unicode'), 
            Letter('µ', 'winstd')),

        Key(Letter('<'), 
            Letter(',', isQuote = True), 
            None, 
            Letter('≤', 'unicode')),

        Key(Letter('>'), 
            Letter('.', isQuote = True), 
            None, 
            Letter('≥', 'unicode')),

        Key(Letter('?'), 
            Letter('/'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75,
            middleDownLetter = Letter('thin space', 'unicode')),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
