﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Finnish multilingual keyboard.
keyboardName = 'fi-intl'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [
        Key(Letter('½'), 
            Letter('§'), 
            None,
            Letter('\u0338', 'dead', 1, isDiacritic = True)),

        Key(Letter('!'), 
            Letter('1'), 
            Letter('¡', 'winstd'), 
            None),
        
        Key(Letter('"'),
            Letter('2'), 
            Letter('”', 'winstd', isQuote = True), 
            Letter('@', 'winstd')), 
            
        Key(Letter('#'), 
            Letter('3'), 
            Letter('»', 'winstd'), 
            Letter('£', 'winstd')), 
            
        Key(Letter('¤'), 
            Letter('4'), 
            Letter('«', 'winstd'), 
            Letter('$', 'winstd')), 
            
        Key(Letter('%'), 
            Letter('5'), 
            Letter('“', 'winstd', isQuote = True), 
            Letter('‰', 'winstd')), 

        Key(Letter('&'), 
            Letter('6'), 
            Letter('„', 'winstd', isQuote = True), 
            Letter('‚', 'winstd', isQuote = True)), 

        Key(Letter('/'), 
            Letter('7'), 
            None, 
            Letter('{', 'winstd')), 

        Key(Letter('('), 
            Letter('8'), 
            None, 
            Letter('[', 'winstd')), 

        Key(Letter(')'), 
            Letter('9'), 
            None, 
            Letter(']', 'winstd')), 

        Key(Letter('='), 
            Letter('0'), 
            Letter('°', 'winstd'), 
            Letter('}', 'winstd')), 

        Key(Letter('?'), 
            Letter('+'), 
            Letter('¿', 'winstd'), 
            Letter('\\', 'winstd')), 

        Key(Letter('\u0300', 'dead', 6, isDiacritic = True), 
            Letter('\u0301', 'dead', 6, isDiacritic = True), 
            Letter('\u0328', 'dead', 4, isDiacritic = True), 
            # This symbol looks better in the font used for quotation marks.
            Letter('\u0327', 'dead', isDiacritic = True, isQuote = True)),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            None),

        Key(Letter('W'), 
            None, 
            None, 
            None),
        
        Key(Letter('E'), 
            None, 
            None, 
            Letter('€', 'winstd')),

        Key(Letter('R'), 
            None, 
            None, 
            None),

        Key(Letter('T'), 
            None, 
            None, 
            Letter('Þ', 'winstd')),

        Key(Letter('Y'), 
            None, 
            None, 
            None),

        Key(Letter('U'), 
            None, 
            None, 
            None),

        Key(Letter('I'), 
            None, 
            None, 
            Letter('ı', 'winstd')),

        Key(Letter('O'), 
            None, 
            None, 
            Letter('Œ', 'winstd')),

        Key(Letter('P'), 
            None, 
            Letter('\u0309', 'dead', -5, isDiacritic = True), 
            Letter('\u031b', 'dead', 3, 4, isDiacritic = True)),

        Key(Letter('Å'), 
            None,
            Letter('\u030a', 'dead', isDiacritic = True), 
            Letter('\u030b', 'dead', 1, isDiacritic = True)),

        Key(Letter('\u0302', 'dead', isDiacritic = True), 
            Letter('\u0308', 'dead', isDiacritic = True),
            Letter('\u0304', 'dead', isDiacritic = True), 
            Letter('\u0303', 'dead', 6, 3, isDiacritic = True)),

        Key(Letter('*'), 
            Letter("'"),
            Letter('\u030c', 'dead', isDiacritic = True), 
            Letter('\u0306', 'dead', isDiacritic = True), 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            Letter('Ə', 'winstd')),

        Key(Letter('S'), 
            None, 
            None, 
            Letter('ß', 'winstd')),
        
        Key(Letter('D'), 
            None, 
            None, 
            Letter('ð', 'winstd')),

        Key(Letter('F'), 
            None, 
            None, 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            None),

        Key(Letter('H'), 
            None, 
            None, 
            None),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            Letter('ĸ', 'winstd')),

        Key(Letter('L'), 
            None, 
            None, 
            Letter('\u0338', 'dead', 1, isDiacritic = True)),

        Key(Letter('Ö'),
            None,
            None, 
            Letter('Ø', 'winstd')),

        Key(Letter('Ä'), 
            None,
            None, 
            Letter('Æ', 'winstd')),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('>'), 
            Letter('<'),
            None, 
            Letter('|', 'winstd')),

        Key(Letter('Z'), 
            None, 
            None, 
            Letter('Ʒ', 'winstd')),

        Key(Letter('X'), 
            None, 
            Letter('·', 'winstd'),
            Letter('×', 'winstd')),

        Key(Letter('C'), 
            None, 
            None, 
            None),

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            None, 
            None),

        Key(Letter('N'), 
            None, 
            None, 
            Letter('Ŋ', 'winstd')),

        Key(Letter('M'), 
            None, 
            Letter('—', 'winstd'),
            Letter('µ', 'winstd')),

        Key(Letter(';', isQuote = True), 
            Letter(',', isQuote = True), 
            Letter('‘', 'winstd', isQuote = True),
            Letter('’', 'winstd', isQuote = True)),

        Key(Letter(':', isQuote = True), 
            Letter('.', isQuote = True), 
            Letter('\u0307', 'dead', isDiacritic = True),
            Letter('\u0323', 'dead', -5, isDiacritic = True)),

        Key(Letter('_'), 
            Letter('-'), 
            Letter('\u0307', 'dead', isDiacritic = True), 
            Letter('–', 'winstd')),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75,
            middleDownLetter = Letter('non-breaking space', 'winstd')),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
