﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Croatian standard keyboard.
keyboardName = 'hr'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('\u0308', 'dead', isDiacritic = True), 
            # This symbol looks better in the font used for quotation marks.
            Letter('\u0327', 'dead', isDiacritic = True, isQuote = True), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            None,
            Letter('~', 'winstd')),
        
        Key(Letter('"'), 
            Letter('2'),
            None, 
            Letter('\u030c', 'dead', isDiacritic = True)),
            
        Key(Letter('#'), 
            Letter('3'), 
            None, 
            Letter('\u0302', 'dead', isDiacritic = True)),
            
        Key(Letter('$'), 
            Letter('4'), 
            None, 
            Letter('\u0306', 'dead', isDiacritic = True)),
            
        Key(Letter('%'), 
            Letter('5'), 
            None,
            Letter('\u030a', 'dead', isDiacritic = True)),

        Key(Letter('&'), 
            Letter('6'), 
            None,
            Letter('\u0328', 'dead', 4, isDiacritic = True)),

        Key(Letter('/'), 
            Letter('7'), 
            None,
            Letter('`', 'winstd')), 

        Key(Letter('('), 
            Letter('8'), 
            None,
            Letter('\u0307', 'dead', isDiacritic = True)),

        Key(Letter(')'), 
            Letter('9'), 
            None,
            Letter('\u0301', 'dead', 6, isDiacritic = True)),

        Key(Letter('='), 
            Letter('0'), 
            None,
            Letter('\u030b', 'dead', 1, isDiacritic = True)),

        Key(Letter('?'), 
            Letter("'"), 
            None,
            Letter('\u0308', 'dead', isDiacritic = True)),

        Key(Letter('*'), 
            Letter('+'), 
            None, 
            # This symbol looks better in the font used for quotation marks.
            Letter('\u0327', 'dead', isDiacritic = True, isQuote = True)), 

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            Letter('\\', 'winstd')), 

        Key(Letter('W'), 
            None, 
            None, 
            Letter('|', 'winstd')), 
        
        Key(Letter('E'), 
            None, 
            None, 
            Letter('€', 'winstd')), 

        Key(Letter('R'), 
            None, 
            None, 
            None),

        Key(Letter('T'), 
            None, 
            None, 
            None),

        Key(Letter('Z'), 
            None, 
            None, 
            None),

        Key(Letter('U'), 
            None, 
            None, 
            None),

        Key(Letter('I'), 
            None, 
            None, 
            None),

        Key(Letter('O'), 
            None, 
            None, 
            None),

        Key(Letter('P'), 
            None, 
            None, 
            None),

        Key(Letter('Š'), 
            None,
            None, 
            Letter('÷', 'winstd')), 

        Key(Letter('Đ'), 
            None,
            None, 
            Letter('×', 'winstd')), 

        Key(Letter('Ž'), 
            None,
            None, 
            Letter('¤', 'winstd'), 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            None),

        Key(Letter('S'), 
            None, 
            None, 
            None),
        
        Key(Letter('D'), 
            None, 
            None, 
            None),

        Key(Letter('F'), 
            None, 
            None, 
            Letter('[', 'winstd')), 

        Key(Letter('G'), 
            None, 
            None, 
            Letter(']', 'winstd')), 

        Key(Letter('H'), 
            None, 
            None, 
            None),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            Letter('ł', 'winstd')), 

        Key(Letter('L'),
            None, 
            None, 
            Letter('Ł', 'winstd')), 

        Key(Letter('Č'),
            None,
            None, 
            None),

        Key(Letter('Ć'), 
            None,
            None, 
            Letter('ß', 'winstd')), 

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('>'), 
            Letter('<'), 
            None, 
            None),

        Key(Letter('Y'), 
            None, 
            None, 
            None),

        Key(Letter('X'), 
            None, 
            None, 
            None),

        Key(Letter('C'), 
            None, 
            None, 
            None),

        Key(Letter('V'), 
            None, 
            None, 
            Letter('@', 'winstd')), 

        Key(Letter('B'), 
            None, 
            None, 
            Letter('{', 'winstd')), 

        Key(Letter('N'), 
            None, 
            None, 
            Letter('}', 'winstd')), 

        Key(Letter('M'), 
            None, 
            None, 
            Letter('§', 'winstd')), 

        Key(Letter(';', isQuote = True), 
            Letter(',', isQuote = True), 
            None, 
            Letter('<', 'winstd')), 

        Key(Letter(':', isQuote = True), 
            Letter('.', isQuote = True), 
            None, 
            Letter('>', 'winstd')), 

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
