﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Georgian “QWERTY” keyboard.
keyboardName = 'ka-qwerty'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [

    # ---- Number row ---------------------------------------------------------
    [
        Key(Letter('“', isQuote = True),
            Letter('„', isQuote = True),
            None,
            None),

        Key(Letter('!'),
            Letter('1'),
            None,
            None),


            Key(Letter('@'),
            Letter('2'),
            None,
            Letter('„', 'winstd', isQuote = True)),

        Key(Letter('#'),
            Letter('3'),
            None,
            Letter('“', 'winstd', isQuote = True)),

        Key(Letter('$'),
            Letter('4'),
            None,
            None),

        Key(Letter('%'),
            Letter('5'),
            None,
            Letter('€', 'winstd')),

        Key(Letter('^'),
            Letter('6'),
            None,
            None),

        Key(Letter('&'),
            Letter('7'),
            None,
            None),

        Key(Letter('*'),
            Letter('8'),
            None,
            Letter('°', 'winstd')),

        Key(Letter('('),
            Letter('9'),
            None,
            None),

        Key(Letter(')'),
            Letter('0'),
            None,
            None),

        Key(Letter('_'),
            Letter("-"),
            None,
            Letter('—', 'winstd')),

        Key(Letter('+'),
            Letter('='),
            None,
            Letter('–', 'winstd')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],

    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(None,
            Letter('ქ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(Letter('ჭ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -2),
            Letter('წ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ე', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჱ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(Letter('ღ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -2),
            Letter('რ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('®', 'winstd', vertCorr = -1)),

        Key(Letter('თ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -2),
            Letter('ტ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ყ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჸ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('უ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ი', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჲ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('ო', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('პ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(Letter('{', vertCorr = -1),
            Letter('[', vertCorr = -1),
            None,
            None),

        Key(Letter('}', vertCorr = -1),
            Letter(']', vertCorr = -1),
            None,
            None),

        Key(Letter('|', vertCorr = -1),
            Letter('~', vertCorr = -1),
            None,
            None,
            width = 1.5)
    ],

    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),

        Key(None,
            Letter('ა', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჺ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(Letter('შ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -2),
            Letter('ს', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('დ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ფ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჶ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('გ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჹ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('ჰ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჵ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(Letter('ჟ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -2),
            Letter('ჯ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჷ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('კ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ლ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(Letter(':', isQuote = True, vertCorr = -1),
            Letter(';', isQuote = True, vertCorr = -1),
            None,
            None),

        Key(Letter('"', vertCorr = -1),
            Letter("'", vertCorr = -1),
            None,
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ],

    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),

        Key(None,
            Letter('\\', vertCorr = -1),
            None,
            None),

        Key(Letter('ძ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            Letter('ზ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(None,
            Letter('ხ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჴ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(Letter('ჩ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            Letter('ც', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('©', 'winstd', vertCorr = -1)),

        Key(None,
            Letter('ვ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჳ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('ბ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(Letter('N', vertCorr = -1),
            Letter('ნ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            Letter('ჼ', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None,
            Letter('მ', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1),
            None,
            None),

        Key(Letter('<', vertCorr = -1),
            Letter(',', isQuote = True, vertCorr = -1),
            None,
            Letter('«', 'winstd', vertCorr = -1)),

        Key(Letter('>', vertCorr = -1),
            Letter('.', isQuote = True, vertCorr = -1),
            None,
            Letter('»', 'winstd', vertCorr = -1)),


        Key(Letter('?', vertCorr = -1),
            Letter('/', vertCorr = -1),
            None,
            Letter('჻', 'winstd', 
                fontName = "DejaVu Sans", fontSize = 21, vertCorr = -1)),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],

    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]

createKeyboardFiles(keyboard, keyboardName)
