﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# “KazWin” enhanced Kazakh keyboard.
keyboardName = 'kk-kazwin'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(None, 
            Letter('\u25A0', 'var2'), 
            None,
            None),

        Key(Letter('!'), 
            Letter('1'), 
            None, 
            None),
        
        Key(Letter('"'), 
            Letter('2'), 
            None, 
            None),
            
        Key(Letter('№'), 
            Letter('3'), 
            None, 
            None),
            
        Key(Letter(';', isQuote = True), 
            Letter('4'), 
            None, 
            None),
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            None),

        Key(Letter(':', isQuote = True), 
            Letter('6'), 
            None, 
            None),

        Key(Letter('?'), 
            Letter('7'), 
            None, 
            None),

        Key(Letter('*'), 
            Letter('8'), 
            None, 
            None),

        Key(Letter('('), 
            Letter('9'), 
            None, 
            None),

        Key(Letter(')'), 
            Letter('0'), 
            None, 
            None),

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            None),

        Key(Letter('+'), 
            Letter('='), 
            None, 
            None),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Й'), 
            None, 
            None, 
            None),

        Key(Letter('Ң'), 
            Letter('Ц', 'var2'),
            None, 
            None),
        
        Key(Letter('У'), 
            None, 
            None, 
            None),

        Key(Letter('К'), 
            None, 
            None, 
            None),

        Key(Letter('Е'), 
            Letter('Ё', 'var2'),
            None, 
            None),

        Key(Letter('Н'), 
            None, 
            None, 
            None),

        Key(Letter('Г'), 
            None, 
            None, 
            None), 

        Key(Letter('Ш'), 
            None, 
            None, 
            None),

        Key(Letter('Ғ'), 
            Letter('Щ', 'var2'),
            None, 
            None),

        Key(Letter('З'), 
            None, 
            None, 
            None),

        Key(Letter('Х'), 
            Letter('Һ', 'var2'),
            None, 
            None),

        Key(Letter('Ұ'), 
            Letter('Ъ', 'var2'),
            None, 
            None), 

        Key(Letter('/'), 
            Letter('\\'), 
            None, 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('Ө'), 
            Letter('Ф', 'var2'),
            None, 
            None),

        Key(Letter('Ы'), 
            None, 
            None, 
            None), 
        
        Key(Letter('Қ'), 
            Letter('В', 'var2'),
            None, 
            None),

        Key(Letter('А'), 
            None, 
            None, 
            None),

        Key(Letter('П'), 
            None, 
            None, 
            None),

        Key(Letter('Р'), 
            None, 
            None, 
            None),

        Key(Letter('О'), 
            None, 
            None, 
            None),

        Key(Letter('Л'), 
            None, 
            None, 
            None),

        Key(Letter('Д'), 
            None, 
            None, 
            None),

        Key(Letter('Ж'), 
            None, 
            None, 
            None),

        Key(Letter('Ә'), 
            Letter('Э', 'var2'),
            None, 
            None), 

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Я'), 
            None, 
            None, 
            None),

        Key(Letter('І'), 
            Letter('Ч', 'var2'),
            None, 
            None),

        Key(Letter('С'), 
            None, 
            None, 
            None),

        Key(Letter('М'), 
            None, 
            None, 
            None),

        Key(Letter('И'), 
            None, 
            None, 
            None),

        Key(Letter('Т'), 
            None, 
            None, 
            None),

        Key(Letter('Ү'), 
            Letter('Ь', 'var2'),
            None, 
            None),

        Key(Letter('Б'), 
            None, 
            None, 
            None),

        Key(Letter('Ю'), 
            None, 
            None, 
            None),

        Key(Letter(',', isQuote = True), 
            Letter('.', isQuote = True), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
