﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Kazakh standard keyboard.
keyboardName = 'kk'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter(')'), 
            Letter('('), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('"'), 
            None, 
            None),
        
        Key(Letter('Ә'), 
            None, 
            None, 
            None),
            
        Key(Letter('І'), 
            None, 
            None, 
            None),
            
        Key(Letter('Ң'), 
            None, 
            None, 
            None),
            
        Key(Letter('Ғ'), 
            None, 
            None, 
            None),

        Key(Letter(';', isQuote = True), 
            Letter(',', isQuote = True), 
            None, 
            None),

        Key(Letter(':', isQuote = True), 
            Letter('.', isQuote = True), 
            None, 
            None),

        Key(Letter('Ү'), 
            None, 
            None, 
            None),

        Key(Letter('Ұ'), 
            None, 
            None, 
            None),

        Key(Letter('Қ'), 
            None, 
            None, 
            None),

        Key(Letter('Ө'), 
            None, 
            None, 
            None),

        Key(Letter('Һ'), 
            None, 
            None, 
            None),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Й'), 
            None, 
            None, 
            None),

        Key(Letter('Ц'), 
            None, 
            None, 
            None),
        
        Key(Letter('У'), 
            None, 
            None, 
            None),

        Key(Letter('К'), 
            None, 
            None, 
            None),

        Key(Letter('Е'), 
            None, 
            None, 
            None),

        Key(Letter('Н'), 
            None, 
            None, 
            None),

        Key(Letter('Г'), 
            None, 
            None, 
            None),

        Key(Letter('Ш'), 
            None, 
            None, 
            None),

        Key(Letter('Щ'), 
            None, 
            None, 
            None),

        Key(Letter('З'), 
            None, 
            None, 
            None),

        Key(Letter('Х'), 
            None, 
            None, 
            None),

        Key(Letter('Ъ'), 
            None, 
            None, 
            None),

        Key(Letter('/'), 
            Letter('\\'), 
            None, 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('Ф'), 
            None, 
            None, 
            None),

        Key(Letter('Ы'), 
            None, 
            None, 
            None),
        
        Key(Letter('В'), 
            None, 
            None, 
            None),

        Key(Letter('А'), 
            None, 
            None, 
            None),

        Key(Letter('П'), 
            None, 
            None, 
            None),

        Key(Letter('Р'), 
            None, 
            None, 
            None),

        Key(Letter('О'), 
            None, 
            None, 
            None),

        Key(Letter('Л'), 
            None, 
            None, 
            None),

        Key(Letter('Д'), 
            None, 
            None, 
            None),

        Key(Letter('Ж'), 
            None, 
            None, 
            None),

        Key(Letter('Э'), 
            None, 
            None, 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Я'), 
            None, 
            None, 
            None),

        Key(Letter('Ч'), 
            None, 
            None, 
            None),

        Key(Letter('С'), 
            None, 
            None, 
            None),

        Key(Letter('М'), 
            None, 
            None, 
            None),

        Key(Letter('И'), 
            None, 
            None, 
            None),

        Key(Letter('Т'), 
            None, 
            None, 
            None),

        Key(Letter('Ь'), 
            None, 
            None, 
            None),

        Key(Letter('Б'), 
            None, 
            None, 
            None),

        Key(Letter('Ю'), 
            None, 
            None, 
            None),

        Key(Letter('?'), 
            Letter('№'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
