﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# “Mocny Akcent” extended Polish keyboard.
keyboardName = 'pl-akcent'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('\u25A0~', 'var2', 1), 
            Letter('\u25A0`', 'winstd'), 
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            None, 
            None),
        
        Key(Letter('@'), 
            Letter('2'), 
            None, 
            None),
            
        Key(Letter('#'), 
            Letter('3'), 
            None, 
            None),
            
        Key(Letter('$'), 
            Letter('4'), 
            None, 
            Letter('€', 'unicode')),
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            None),

        Key(Letter('^'), 
            Letter('6'), 
            None, 
            None),

        Key(Letter('&'), 
            Letter('7'), 
            None, 
            None),

        Key(Letter('*'), 
            Letter('8'), 
            None, 
            None),

        Key(Letter('('), 
            Letter('9'), 
            None, 
            None),

        Key(Letter(')'), 
            Letter('0'), 
            None, 
            None),

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            Letter('–', 'unicode')),

        Key(Letter('+'), 
            Letter('='), 
            None, 
            Letter('—', 'unicode')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            None),

        Key(Letter('W'), 
            None, 
            None, 
            None),
        
        Key(Letter('E'), 
            Letter('Ę', 'var2'),
            None,
            Letter('Ę', 'winstd')),

        Key(Letter('R'), 
            None, 
            None, 
            Letter('®', 'winstd')),

        Key(Letter('T'), 
            None, 
            None, 
            Letter('™', 'winstd')),

        Key(Letter('Y'), 
            None, 
            None, 
            Letter('©', 'winstd')),

        Key(Letter('U'), 
            None, 
            None, 
            Letter('€', 'winstd')),

        Key(Letter('I'), 
            None, 
            None, 
            None),

        Key(Letter('O'), 
            Letter('Ó', 'var2'),
            None, 
            Letter('Ó', 'winstd')),

        Key(Letter('P'), 
            None, 
            None, 
            None),

        Key(Letter('{'), 
            Letter('['),
            Letter('ˇ', 'winstd'),
            Letter('±', 'winstd')),

        Key(Letter('}'), 
            Letter(']'),
            Letter('¦', 'winstd'),
            Letter('¶', 'winstd')),

        Key(Letter('|'), 
            Letter('\\'),
            None,
            Letter('§', 'winstd'),
            width = 1.5),
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            Letter('Ą', 'var2'),
            None, 
            Letter('Ą', 'winstd')),

        Key(Letter('S'), 
            Letter('Ś', 'var2'),
            None, 
            Letter('Ś', 'winstd')),
        
        Key(Letter('D'), 
            None, 
            None, 
            None),

        Key(Letter('F'), 
            None, 
            None, 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            None),

        Key(Letter('H'), 
            None, 
            None, 
            None),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            None),

        Key(Letter('L'), 
            Letter('Ł', 'var2'),
            None, 
            Letter('Ł', 'winstd')),

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            None,
            Letter('„', 'winstd', isQuote = True)),

        Key(Letter('"'), 
            Letter("'"),
            None,
            Letter('”', 'winstd', isQuote = True)),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Z'), 
            Letter('Ż', 'var2'),
            None, 
            Letter('Ż', 'winstd')),

        Key(Letter('X'), 
            Letter('Ź', 'var2'),
            None, 
            Letter('Ź', 'winstd')),

        Key(Letter('C'), 
            Letter('Ć', 'var2'),
            None, 
            Letter('Ć', 'winstd')),

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            None, 
            None),

        Key(Letter('N'), 
            Letter('Ń', 'var2'),
            None, 
            Letter('Ń', 'winstd')),

        Key(Letter('M'), 
            None, 
            None, 
            None),

        Key(Letter('<'), 
            Letter(',', isQuote = True), 
            Letter('¬', 'winstd'),
            Letter('Ľ', 'winstd')),

        Key(Letter('>'), 
            Letter('.', isQuote = True), 
            None,
            Letter('…', 'winstd', isQuote = True)),

        Key(Letter('?'), 
            Letter('/'), 
            None,
            Letter('‰', 'winstd')),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)

# ertyuo[]\
# ę®™©€ó±¶§
# Ę    Óˇ¦

# asl;'
# ąśł„”
# ĄŚŁ

# żźćńĽ…‰
# ŻŹĆŃ¬
