﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Serbian standard keyboard.
keyboardName = 'sr'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('~'),
            Letter('`'), 
            None, 
            None),

        Key(Letter('!'),
            Letter('1'), 
            None, 
            None),
        
        Key(Letter('"'), 
            Letter('2'), 
            None, 
            None),
            
        Key(Letter('#'),
            Letter('3'), 
            None, 
            None),
            
        Key(Letter('$'), 
            Letter('4'), 
            None, 
            None),
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            None), 

        Key(Letter('&'), 
            Letter('6'), 
            None, 
            None),

        Key(Letter('/'),
            Letter('7'), 
            None, 
            None),

        Key(Letter('('), 
            Letter('8'), 
            None, 
            None),

        Key(Letter(')'),
            Letter('9'), 
            None, 
            None),

        Key(Letter('='),
            Letter('0'), 
            None, 
            None),

        Key(Letter('?'), 
            Letter('\u0301', 'dead', 6, isDiacritic = True, 
                diacriticCorr = -1), 
            None, 
            None,
            middleDownLetter = Letter("'", 'std', -3)),

        Key(Letter('*'),
            Letter('+'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Љ'), 
            None, 
            None, 
            None),

        Key(Letter('Њ'), 
            None, 
            None, 
            None),
        
        Key(Letter('Е'), 
            None, 
            None, 
            Letter('€', 'winstd')), 

        Key(Letter('Р'), 
            None, 
            None, 
            None),

        Key(Letter('Т'), 
            None, 
            None, 
            None),

        Key(Letter('З'), 
            None, 
            None, 
            None),

        Key(Letter('У'), 
            None, 
            None, 
            None),

        Key(Letter('И'), 
            None, 
            None, 
            None),

        Key(Letter('О'), 
            None, 
            None, 
            None),

        Key(Letter('П'), 
            None, 
            None, 
            None),

        Key(Letter('Ш'), 
            None,
            None, 
            None),

        Key(Letter('Ђ'), 
            None,
            None, 
            None),

        Key(Letter('Ж'), 
            None,
            None, 
            None, 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('А'), 
            None, 
            None, 
            None),

        Key(Letter('С'), 
            None, 
            None, 
            None),
        
        Key(Letter('Д'), 
            None, 
            None, 
            None),

        Key(Letter('Ф'), 
            None, 
            None, 
            None),

        Key(Letter('Г'), 
            None, 
            None, 
            None),

        Key(Letter('Х'), 
            None, 
            None, 
            None),

        Key(Letter('Ј'), 
            None, 
            None, 
            None),

        Key(Letter('К'), 
            None, 
            None, 
            None),

        Key(Letter('Л'), 
            None, 
            None, 
            None),

        Key(Letter('Ч'),
            None,
            None, 
            None),

        Key(Letter('Ћ'), 
            None,
            None, 
            None),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.25, systemText = 'Shift'),
        
        Key(Letter('>'), 
            Letter('<'), 
            None, 
            None),

        Key(Letter('Ѕ'), 
            None, 
            None, 
            None),

        Key(Letter('Џ'), 
            None, 
            None, 
            None),

        Key(Letter('Ц'), 
            None, 
            None, 
            None),

        Key(Letter('В'), 
            None, 
            None, 
            None),

        Key(Letter('Б'), 
            None, 
            None, 
            None),

        Key(Letter('Н'), 
            None, 
            None, 
            None),

        Key(Letter('М'), 
            None, 
            None, 
            None),

        Key(Letter(';', isQuote = True), 
            Letter(',', isQuote = True), 
            None, 
            Letter('<', 'winstd')),

        Key(Letter(':', isQuote = True),
            Letter('.', isQuote = True), 
            None, 
            Letter('>', 'winstd')),

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            None),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
