﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# “United States-International” keyboard.
keyboardName = 'us-intl'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('\u0303', 'dead', 6, 3, isDiacritic = True), 
            Letter('\u0300', 'dead', 6, isDiacritic = True),
            None, 
            None),

        Key(Letter('!'), 
            Letter('1'), 
            Letter('¹', 'winstd'), 
            Letter('¡', 'winstd')), 
        
        Key(Letter('@'), 
            Letter('2'), 
            None, 
            Letter('²', 'winstd')), 
            
        Key(Letter('#'), 
            Letter('3'), 
            None, 
            Letter('³', 'winstd')), 
            
        Key(Letter('$'), 
            Letter('4'), 
            Letter('£', 'winstd'), 
            Letter('¤', 'winstd')), 
            
        Key(Letter('%'), 
            Letter('5'), 
            None, 
            Letter('€', 'winstd')), 

        Key(Letter('\u0302', 'dead', isDiacritic = True),
            Letter('6'), 
            None, 
            Letter('¼', 'winstd')), 

        Key(Letter('&'), 
            Letter('7'), 
            None, 
            Letter('½', 'winstd')), 

        Key(Letter('*'), 
            Letter('8'), 
            None, 
            Letter('¾', 'winstd')), 

        Key(Letter('('), 
            Letter('9'), 
            None, 
            Letter('‘', 'winstd', isQuote = True)), 

        Key(Letter(')'), 
            Letter('0'), 
            None, 
            Letter('’', 'winstd', isQuote = True)), 

        Key(Letter('_'), 
            Letter('-'), 
            None, 
            Letter('¥', 'winstd')), 

        Key(Letter('+'), 
            Letter('='), 
            Letter('÷', 'winstd'),
            Letter('×', 'winstd')), 

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            Letter('Ä', 'winstd')), 

        Key(Letter('W'), 
            None, 
            None, 
            Letter('Å', 'winstd')), 
        
        Key(Letter('E'), 
            None, 
            None, 
            Letter('É', 'winstd')), 

        Key(Letter('R'), 
            None, 
            None, 
            Letter('®', 'winstd')), 

        Key(Letter('T'), 
            None, 
            None, 
            Letter('Þ', 'winstd')), 

        Key(Letter('Y'), 
            None, 
            None, 
            Letter('Ü', 'winstd')), 

        Key(Letter('U'), 
            None, 
            None, 
            Letter('Ú', 'winstd')), 

        Key(Letter('I'), 
            None, 
            None, 
            Letter('Í', 'winstd')), 

        Key(Letter('O'), 
            None, 
            None, 
            Letter('Ó', 'winstd')), 

        Key(Letter('P'), 
            None, 
            None, 
            Letter('Ö', 'winstd')), 

        Key(Letter('{'), 
            Letter('['),
            None, 
            Letter('«', 'winstd')), 

        Key(Letter('}'), 
            Letter(']'),
            None, 
            Letter('»', 'winstd')), 

        Key(Letter('|'), 
            Letter('\\'),
            Letter('¦', 'winstd'), 
            Letter('¬', 'winstd'), 
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            Letter('Á', 'winstd')), 

        Key(Letter('S'), 
            None, 
            Letter('§', 'winstd'), 
            Letter('ß', 'winstd')), 
        
        Key(Letter('D'), 
            None, 
            None, 
            Letter('ð', 'winstd')), 

        Key(Letter('F'), 
            None, 
            None, 
            None),

        Key(Letter('G'), 
            None, 
            None, 
            None),

        Key(Letter('H'), 
            None, 
            None, 
            None),

        Key(Letter('J'), 
            None, 
            None, 
            None),

        Key(Letter('K'), 
            None, 
            None, 
            None),

        Key(Letter('L'), 
            None, 
            None, 
            Letter('Ø', 'winstd')), 

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            Letter('°', 'winstd'), 
            Letter('¶', 'winstd')), 

        Key(Letter('\u0308', 'dead', isDiacritic = True), 
            Letter('\u0301', 'dead', 6, isDiacritic = True),
            Letter('¨', 'winstd'), 
            Letter('´', 'winstd')), 

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Z'), 
            None, 
            None, 
            Letter('Æ', 'winstd')), 

        Key(Letter('X'), 
            None, 
            None, 
            None),

        Key(Letter('C'), 
            None, 
            Letter('¢', 'winstd'), 
            Letter('©', 'winstd')), 

        Key(Letter('V'), 
            None, 
            None, 
            None),

        Key(Letter('B'), 
            None, 
            None, 
            None),

        Key(Letter('N'), 
            None, 
            None, 
            Letter('Ñ', 'winstd')), 

        Key(Letter('M'), 
            None, 
            None, 
            Letter('µ', 'winstd')), 

        Key(Letter('<'), 
            Letter(',', isQuote = True), 
            None, 
            Letter('Ç', 'winstd')), 

        Key(Letter('>'), 
            Letter('.', isQuote = True), 
            None, 
            None),

        Key(Letter('?'), 
            Letter('/'), 
            None, 
            Letter('¿', 'winstd')), 

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
