﻿# © kbd-intl@narod.ru, 2011–2012
# I, the copyright holder of this work, hereby place it into the public domain.

from utils.keyboardModule import *

# Vietnamese standard keyboard.
keyboardName = 'vi'

# Outer list represents rows; inner lists represent keys within a row.
keyboard = [
    
    # ---- Number row ---------------------------------------------------------
    [   
        Key(Letter('~'), 
            Letter('`'), 
            Letter('~', 'aux'), 
            Letter('`', 'aux')), 

        Key(Letter('Ă', 'std', 0, 1), 
            None, 
            Letter('!', 'winstd'), 
            Letter('1', 'winstd')),
        
        Key(Letter('Â', 'std', 0, 1), 
            None, 
            Letter('@', 'winstd'), 
            Letter('2', 'winstd')),
            
        Key(Letter('Ê', 'std', 0, 1), 
            None, 
            Letter('#', 'winstd'), 
            Letter('3', 'winstd')),
            
        Key(Letter('Ô', 'std', 0, 1), 
            None, 
            Letter('$', 'winstd'), 
            Letter('4', 'winstd')),
            
        Key(None,
            Letter('\u0300', 'std', 6, isDiacritic = True), 
            Letter('%', 'winstd'), 
            Letter('5', 'winstd')),

        Key(None, 
            Letter('\u0309', 'std', -5, isDiacritic = True), 
            Letter('^', 'winstd'), 
            Letter('6', 'winstd')),

        Key(None, 
            Letter('\u0303', 'std', 6, 3, isDiacritic = True), 
            Letter('&', 'winstd'), 
            Letter('7', 'winstd')),

        Key(None, 
            Letter('\u0301', 'std', 6, isDiacritic = True),
            Letter('*', 'winstd'), 
            Letter('8', 'winstd')),

        Key(None, 
            Letter('\u0323', 'std', -5, isDiacritic = True),
            Letter('(', 'winstd'), 
            Letter('9', 'winstd')),

        Key(Letter('Đ'), 
            None,
            Letter(')', 'winstd'), 
            Letter('0', 'winstd')),

        Key(Letter('_'), 
            Letter("-"), 
            Letter('_', 'aux'), 
            Letter('-', 'aux')),

        Key(Letter('+'), 
            Letter('₫'), 
            Letter('+', 'aux'), 
            Letter('=', 'winstd')),

        Key(None, None, None, None, width = 2.0, systemText = 'Backspace')
    ],
    
    # ---- Upper row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Tab'),

        Key(Letter('Q'), 
            None, 
            None, 
            Letter('Q', 'aux')),

        Key(Letter('W'), 
            None, 
            None, 
            Letter('W', 'aux')),
        
        Key(Letter('E'), 
            None, 
            None, 
            Letter('E', 'aux')),

        Key(Letter('R'), 
            None, 
            None, 
            Letter('R', 'aux')),

        Key(Letter('T'), 
            None, 
            None, 
            Letter('T', 'aux')),

        Key(Letter('Y'), 
            None, 
            None, 
            Letter('Y', 'aux')),

        Key(Letter('U'), 
            None, 
            None, 
            Letter('U', 'aux')),

        Key(Letter('I'), 
            None, 
            None, 
            Letter('I', 'aux')),

        Key(Letter('O'), 
            None, 
            None, 
            Letter('O', 'aux')),

        Key(Letter('P'), 
            None, 
            None, 
            Letter('P', 'aux')),

        Key(Letter('Ư'), 
            None,
            Letter('{', 'winstd'),
            Letter('[', 'winstd')),

        Key(Letter('Ơ'), 
            None,
            Letter('}', 'winstd'),
            Letter(']', 'winstd')),

        Key(Letter('|'), 
            Letter('\\'),
            Letter('|', 'aux'),
            Letter('\\', 'aux'),
            width = 1.5)
    ],
    
    # ---- Middle row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.75, systemText = 'Caps Lock'),
        
        Key(Letter('A'), 
            None, 
            None, 
            Letter('A', 'aux')),

        Key(Letter('S'), 
            None, 
            None, 
            Letter('S', 'aux')),
        
        Key(Letter('D'), 
            None, 
            None, 
            Letter('D', 'aux')),

        Key(Letter('F'), 
            None, 
            None, 
            Letter('F', 'aux')),

        Key(Letter('G'), 
            None, 
            None, 
            Letter('G', 'aux')),

        Key(Letter('H'), 
            None, 
            None, 
            Letter('H', 'aux')),

        Key(Letter('J'), 
            None, 
            None, 
            Letter('J', 'aux')),

        Key(Letter('K'), 
            None, 
            None, 
            Letter('K', 'aux')),

        Key(Letter('L'), 
            None, 
            None, 
            Letter('L', 'aux')),

        Key(Letter(':', isQuote = True),
            Letter(';', isQuote = True),
            Letter(':', 'aux', isQuote = True),
            Letter(';', 'aux', isQuote = True)),

        Key(Letter('"'), 
            Letter("'"),
            Letter('"', 'aux'),
            Letter("'", 'aux')),

        Key(None, None, None, None, width = 2.25, systemText = 'Enter')
    ], 
    
    # ---- Lower row ----------------------------------------------------------
    [
        Key(None, None, None, None, width = 2.25, systemText = 'Shift'),
        
        Key(Letter('Z'), 
            None, 
            None, 
            Letter('Z', 'aux')),

        Key(Letter('X'), 
            None, 
            None, 
            Letter('X', 'aux')),

        Key(Letter('C'), 
            None, 
            None, 
            Letter('C', 'aux')),

        Key(Letter('V'), 
            None, 
            None, 
            Letter('V', 'aux')),

        Key(Letter('B'), 
            None, 
            None, 
            Letter('B', 'aux')),

        Key(Letter('N'), 
            None, 
            None, 
            Letter('N', 'aux')),

        Key(Letter('M'), 
            None, 
            None, 
            Letter('M', 'aux')),

        Key(Letter('<'), 
            Letter(',', isQuote = True), 
            Letter('<', 'aux'), 
            Letter(',', 'aux', isQuote = True)),

        Key(Letter('>'), 
            Letter('.', isQuote = True), 
            Letter('>', 'aux'), 
            Letter('.', 'aux', isQuote = True)),

        Key(Letter('?'), 
            Letter('/'), 
            Letter('?', 'aux'), 
            Letter('/', 'aux')),

        Key(None, None, None, None, width = 2.75, systemText = 'Shift')
    ],
    
    # ---- System row ---------------------------------------------------------
    [
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt'),
        Key(None, None, None, None, width = 5.75),
        Key(None, None, None, None, width = 1.25, systemText = 'Alt Gr'),
        Key(None, None, None, None, width = 1.25, systemText = 'Win'),
        Key(None, None, None, None, width = 1.25, systemText = 'Menu'),
        Key(None, None, None, None, width = 1.5, systemText = 'Ctrl')
    ]
]
        
createKeyboardFiles(keyboard, keyboardName)
